import matplotlib.pyplot as plt

def inerz(x, T, ypred):
    """Модель устройства с памятью:
    x - текущее значение входного сигнала,
    T - постоянная времени,
    ypred - предыдущее значение выхода системы"""
    y = (x + T * ypred) / (T + 1)
    return y

sps = [0] + [1] * 100  # Список с измерениями значений входного сигнала
spsy = []  # Заготовка для значений выхода
TT = 20  # Постоянная времени
yy = 0  # Нулевое начальное условие

for xx in sps:
    yy = inerz(xx, TT, yy)
    spsy.append(yy)

# Построение графика
plt.plot(sps, spsy)
plt.xlabel('Входное значение')
plt.ylabel('Выходное значение')
plt.title('График выходного сигнала')
plt.show()